### Method

# Gio UnixSocketAddress get_path

since: 2.22

#### Declaration [src]

    const char*
    g_unix_socket_address_get_path (
      GUnixSocketAddress* address
    )

#### Description [src]

Gets `address`‘s path, or for abstract sockets the “name”.

Guaranteed to be zero-terminated, but an abstract socket may contain embedded zeros, and thus you should use `g_unix_socket_address_get_path_len()` to get the true length of this string.

Available since: 2.22

Gets property | `Gio.UnixSocketAddress:path`

#### Return value

Type: `const char*`

The path for `address`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.